## oce 0.8-10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: oce
-Version: 0.8-9
-Date: 2012-05-25
+Version: 0.8-10
+Date: 2012-06-12
 Title: Analysis of Oceanographic data
 Author: Dan Kelley <Dan.Kelley@Dal.Ca>
 Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
@@ -17,6 +17,6 @@
 License: GPL (>= 2)
 URL: http://dankelley.github.com/oce/
 LazyLoad: yes
-Packaged: 2012-05-25 16:52:05.987 UTC; kelley
+Packaged: 2012-06-12 11:13:45.161 UTC; kelley
 Repository: CRAN
-Date/Publication: 2012-05-25 17:18:51
+Date/Publication: 2012-06-12 13:39:18
