=== test/BRepAlgoAPI_test/CMakeLists.txt ===
ADD_OCE_TEST(boolean_ops_test "TKPrim;TKBO")
