=== test/BRepExtrema_test/CMakeLists.txt ===
ADD_OCE_TEST(BRepExtrema_test "TKPrim")
