=== test/BRepGProp_test/CMakeLists.txt ===
ADD_OCE_TEST(BRepGProp_test "TKG2d;TKPrim;TKTopAlgo")
