=== test/BRepMesh_test/CMakeLists.txt ===
ADD_OCE_TEST(BRepMesh_test "TKernel;TKBRep;TKMath;TKTopAlgo;TKPrim;TKMesh")
