=== test/BRepOffsetAPI_test/CMakeLists.txt ===
ADD_OCE_TEST(BRepOffsetAPI_test "TKOffset")
