=== test/Standard_StdAllocator_test/CMakeLists.txt ===
ADD_OCE_TEST(Standard_StdAllocator_test "TKernel;TKPrim")
