=== test/TDataXtd_test/CMakeLists.txt ===
IF (${PROJECT_NAME}_OCAF)
  ADD_OCE_TEST(TDataXtd_test "TKCAF;TKXCAF")
ENDIF (${PROJECT_NAME}_OCAF)
