=== test/gp_test/CMakeLists.txt ===
ADD_OCE_TEST(gp_test "TKG2d")
