=== debian/changelog ===
oce (0.8.0-1) unstable; urgency=low

  [ Denis Barbier ]
  * New upstream version.
  * debian/rules: enable parallel builds.
  * debian/control: With this version, we do no more need
    to use chrpath, RPATH can be set to the right values.
  * debian/control: Add "Community Edition" to all descriptions.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Sat, 07 Jan 2012 18:44:34 -0800
