## oce 0.9-5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Package: oce
-Version: 0.9-3
-Date: 2012-09-04
+Version: 0.9-5
+Date: 2012-12-15
 Title: Analysis of Oceanographic data
 Author: Dan Kelley <Dan.Kelley@Dal.Ca>
 Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
-Depends: R (>= 2.15), utils, methods
+Depends: R (>= 2.15), utils, methods, mapproj
 Suggests: ncdf, foreign
 BugReports:
         https://github.com/dankelley/oce/issues?sort=created&direction=desc&state=open
@@ -17,6 +17,6 @@
 License: GPL (>= 2)
 URL: http://dankelley.github.com/oce/
 LazyLoad: yes
-Packaged: 2012-09-04 17:27:56.661 UTC; kelley
+Packaged: 2012-12-15 12:15:26.655 UTC; kelley
 Repository: CRAN
-Date/Publication: 2012-09-04 19:02:21
+Date/Publication: 2012-12-15 15:47:36
