## oce 0.9-6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: oce
-Version: 0.9-5
+Version: 0.9-6
 Date: 2012-12-15
 Title: Analysis of Oceanographic data
 Author: Dan Kelley <Dan.Kelley@Dal.Ca>
@@ -17,6 +17,6 @@
 License: GPL (>= 2)
 URL: http://dankelley.github.com/oce/
 LazyLoad: yes
-Packaged: 2012-12-15 12:15:26.655 UTC; kelley
+Packaged: 2012-12-16 16:19:44.044 UTC; kelley
 Repository: CRAN
-Date/Publication: 2012-12-15 15:47:36
+Date/Publication: 2012-12-16 17:42:46
