## oce 0.9-8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: oce
-Version: 0.9-6
-Date: 2012-12-15
+Version: 0.9-8
+Date: 2013-04-23
 Title: Analysis of Oceanographic data
 Author: Dan Kelley <Dan.Kelley@Dal.Ca>
 Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
@@ -17,6 +17,8 @@
 License: GPL (>= 2)
 URL: http://dankelley.github.com/oce/
 LazyLoad: yes
-Packaged: 2012-12-16 16:19:44.044 UTC; kelley
+LazyData: yes
+Packaged: 2013-04-23 20:12:42 UTC; kelley
+NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2012-12-16 17:42:46
+Date/Publication: 2013-04-25 13:32:42
