=== man/figures/Makefile ===
all: adpgeometry.png adpgeometry2.png adp_beams.png starCoords.png
%.png:%.R
	R --no-save < $<
clean:
	rm -f *~
