## oce 0.9-13

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: oce
-Version: 0.9-12
-Date: 2013-07-04
+Version: 0.9-13
+Date: 2014-01-27
 Title: Analysis of Oceanographic data
 Author: Dan Kelley <Dan.Kelley@Dal.Ca>
 Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
@@ -18,7 +18,7 @@
 URL: http://dankelley.github.com/oce/
 LazyLoad: yes
 LazyData: yes
-Packaged: 2013-07-04 23:41:40.802 UTC; kelley
+Packaged: 2014-01-29 15:10:18.316 UTC; kelley
 NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2013-07-05 07:27:42
+Date/Publication: 2014-01-29 18:47:09
