## oce 0.9-14

=== DESCRIPTION ===
Package: oce
Version: 0.9-14
Date: 2014-05-19
Title: Analysis of Oceanographic data
Author: Dan Kelley <Dan.Kelley@Dal.Ca>
Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
Depends: R (>= 2.15), utils, methods, mapproj
Suggests: ocedata, foreign, ncdf4, tiff
BugReports:
        https://github.com/dankelley/oce/issues?sort=created&direction=desc&state=open
Description: Supports the analysis of Oceanographic data,
 including ADP measurements, CTD measurements, sectional
 data, sea-level time series, coastline files, etc.  
 Provides functions for calculating seawater properties 
 such as potential temperature and density, as well as 
 derived properties such as buoyancy frequency and 
 dynamic height.
License: GPL (>= 2)
URL: http://dankelley.github.com/oce/
LazyLoad: yes
LazyData: no
Packaged: 2014-05-19 11:57:39.324 UTC; kelley
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-05-19 14:26:07
