## oce 0.9-16

=== DESCRIPTION ===
Package: oce
Version: 0.9-16
Date: 2015-05-19
Title: Analysis of Oceanographic Data
Authors@R: c(person("Dan", "Kelley", email="Dan.Kelley@Dal.Ca", role=c("aut", "cre")),
 person("Clark", "Richards", email="clark.richards@gmail.com", role=c("aut")),
 person("Chantelle", "Layton", email="chantelle.layton@dal.ca", role=c("ctb","cph"), comment="curl() coauthor"),
 person("Gerald", "Evenden", role=c("ctb","cph"), comment="PROJ.4 author"),
 person("Frank", "Warmerdam", email="warmerdam@pobox.com", role=c("ctb","cph"), comment="PROJ.4 author"),
 person("Howard", "Butler", email="howard@hobu.co", role=c("ctb","cph"), comment="PROJ.4 author"),
 person("Brent", "Fraser", email="bfraser@geoanalytic.com", role=c("ctb","cph"), comment="PROJ.4 contributor"),
 person("Chris", "Stuber", email="imap@chesapeake.net", role=c("ctb","cph"), comment="PROJ.4 contributor"),
 person("Craig", "Bruce", email="cbruce@cubewerx.com", role=c("ctb","cph"), comment="PROJ.4 contributor"),
 person("Victor", "Osipkov", email="vctos@email.com", role=c("ctb","cph"), comment="PROJ.4 contributor"),
 person("Andrea", "Antonello", email="andrea.antonello@hydrologis.com", role=c("ctb","cph"), comment="PROJ.4 contributor"),
 person("Charles", "Karney", email="charles.karney@sri.com", role=c("ctb","cph"), comment="PROJ.4 contributor"),
 person("Karsten", "Engsager", role=c("ctb","cph"), comment="PROJ.4 contributor"),
 person("Knud", "Poder", role=c("ctb","cph"), comment="PROJ.4 contributor"),
 person("Robert", "Gentleman", role=c("ctb","cph"), comment="author of approx() code, used in binmapAdp()"),
 person("Ross", "Ihaka", role=c("ctb","cph"), comment="author of approx() code, used in binmapAdp()"))
Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
Depends: R (>= 2.15), utils, methods, gsw
Suggests: ocedata, foreign, mapproj, ncdf4, tiff, akima, proj4,
        RSQLite, DBI
BugReports:
        https://github.com/dankelley/oce/issues?sort=created&direction=desc&state=open
Description: Supports the analysis of Oceanographic data, including ADCP
 measurements, CTD measurements, sectional data, sea-level time series,
 coastline files, etc.  Handles dozens of specialized functions for calculating
 seawater properties such as potential temperature and density, as well as
 derived properties such as buoyancy frequency and dynamic height. Map projections
 are calculated using PROJ.4 functions included within the oce.
License: GPL (>= 2)
URL: http://dankelley.github.com/oce/
LazyLoad: yes
LazyData: no
Packaged: 2015-05-20 15:16:32.980 UTC; kelley
NeedsCompilation: yes
Author: Dan Kelley [aut, cre],
  Clark Richards [aut],
  Chantelle Layton [ctb, cph] (curl() coauthor),
  Gerald Evenden [ctb, cph] (PROJ.4 author),
  Frank Warmerdam [ctb, cph] (PROJ.4 author),
  Howard Butler [ctb, cph] (PROJ.4 author),
  Brent Fraser [ctb, cph] (PROJ.4 contributor),
  Chris Stuber [ctb, cph] (PROJ.4 contributor),
  Craig Bruce [ctb, cph] (PROJ.4 contributor),
  Victor Osipkov [ctb, cph] (PROJ.4 contributor),
  Andrea Antonello [ctb, cph] (PROJ.4 contributor),
  Charles Karney [ctb, cph] (PROJ.4 contributor),
  Karsten Engsager [ctb, cph] (PROJ.4 contributor),
  Knud Poder [ctb, cph] (PROJ.4 contributor),
  Robert Gentleman [ctb, cph] (author of approx() code, used in
    binmapAdp()),
  Ross Ihaka [ctb, cph] (author of approx() code, used in binmapAdp())
Repository: CRAN
Date/Publication: 2015-05-21 01:06:41
