## oce 0.9-20

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Package: oce
-Version: 0.9-19
-Date: 2016-07-06
+Version: 0.9-20
+Date: 2016-11-18
 Title: Analysis of Oceanographic Data
 Authors@R: c(person(given="Dan", family="Kelley", email="Dan.Kelley@Dal.Ca", role=c("aut", "cre")),
  person(given="Clark", family="Richards", email="clark.richards@gmail.com", role=c("aut")),
- person(given="Chantelle", family="Layton", email="chantelle.layton@dal.ca", role=c("ctb","cph"), comment="curl() coauthor"),
- person(given="British Geological Survey", role=c("ctb","cph"), comment="magnetic-field fortran subroutine"))
+ person(given="Chantelle", family="Layton", email="chantelle.layton@dal.ca", role=c("ctb"), comment="curl() coauthor"),
+ person(given="British Geological Survey", role=c("ctb","cph"), comment="magnetic-field subroutine"),
+ person(given="Pablo", family="Valdés", role=c("ctb"), comment="Spanish translation of messages"))
 Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
 Depends: R (>= 2.15), utils, methods, gsw
 Suggests: ocedata, foreign, ncdf4, tiff, akima, RSQLite, DBI, rgdal (>=
@@ -22,15 +23,15 @@
 URL: http://dankelley.github.com/oce/
 LazyLoad: yes
 LazyData: no
-Packaged: 2016-07-08 11:44:18.000 UTC; kelley
+Packaged: 2016-11-19 02:33:19 UTC; kelley
 Encoding: UTF-8
 RoxygenNote: 5.0.1
 VignetteBuilder: knitr
 NeedsCompilation: yes
 Author: Dan Kelley [aut, cre],
   Clark Richards [aut],
-  Chantelle Layton [ctb, cph] (curl() coauthor),
-  British Geological Survey [ctb, cph] (magnetic-field fortran
-    subroutine)
+  Chantelle Layton [ctb] (curl() coauthor),
+  British Geological Survey [ctb, cph] (magnetic-field subroutine),
+  Pablo Valdés [ctb] (Spanish translation of messages)
 Repository: CRAN
-Date/Publication: 2016-07-08 17:23:15
+Date/Publication: 2016-11-19 15:36:34
