## oce 0.9-21

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: oce
-Version: 0.9-20
-Date: 2016-11-18
+Version: 0.9-21
+Date: 2017-03-29
 Title: Analysis of Oceanographic Data
 Authors@R: c(person(given="Dan", family="Kelley", email="Dan.Kelley@Dal.Ca", role=c("aut", "cre")),
  person(given="Clark", family="Richards", email="clark.richards@gmail.com", role=c("aut")),
@@ -10,7 +10,7 @@
 Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
 Depends: R (>= 2.15), utils, methods, gsw
 Suggests: ocedata, foreign, ncdf4, tiff, akima, RSQLite, DBI, rgdal (>=
-        1.1-9), R.utils, testthat, knitr
+        1.1-9), R.utils, testthat, knitr, marmap, lubridate
 BugReports: https://github.com/dankelley/oce/issues
 Description: Supports the analysis of Oceanographic data, including 'ADCP'
     measurements, measurements made with 'argo' floats, 'CTD' measurements,
@@ -23,9 +23,9 @@
 URL: http://dankelley.github.com/oce/
 LazyLoad: yes
 LazyData: no
-Packaged: 2016-11-19 02:33:19 UTC; kelley
+Packaged: 2017-03-30 14:50:06 UTC; kelley
 Encoding: UTF-8
-RoxygenNote: 5.0.1
+RoxygenNote: 6.0.1
 VignetteBuilder: knitr
 NeedsCompilation: yes
 Author: Dan Kelley [aut, cre],
@@ -34,4 +34,4 @@
   British Geological Survey [ctb, cph] (magnetic-field subroutine),
   Pablo Valdés [ctb] (Spanish translation of messages)
 Repository: CRAN
-Date/Publication: 2016-11-19 15:36:34
+Date/Publication: 2017-03-30 15:41:20 UTC
